net.percederberg.mibble

## Class MibException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - net.percederberg.mibble.MibException

- All Implemented Interfaces:
    java.io.Serializable

      public class MibException
      extends java.lang.Exception

  A MIB validation exception. This exception is used to report validation errors for MIB types and values. NOTE: This class is used internally during the MIB parsing only. Do NOT use or reference this class.
  Since:
    2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MibException(MibFileRef fileRef, java.lang.String message)` Creates a new MIB exception.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MibFileRef` | `getFileRef()` Returns the error MIB file location.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MibException

          public MibException(MibFileRef fileRef,
                      java.lang.String message)

      Creates a new MIB exception.
      Parameters:
        `fileRef` - the MIB file location
        `message` - the error message

  - ### Method Detail

    - #### getFileRef

          public MibFileRef getFileRef()

      Returns the error MIB file location.
      Returns:
        the error MIB file location